gnutls_record_get_state(3)

NAME
gnutls_record_get_state - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_record_get_state(gnutls_session_t session, unsigned read, gnutls_datum_t * mac_key, gnutls_datum_t * IV, gnutls_datum_t * cipher_key, unsigned char seq_number[8]);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type

unsigned read
    if non-zero the read parameters are returned, otherwise the write

gnutls_datum_t * mac_key
    the key used for MAC (if a MAC is used)

gnutls_datum_t * IV
    the initialization vector or nonce used

gnutls_datum_t * cipher_key
    the cipher key

unsigned char seq_number[8]
    -- undescribed --

DESCRIPTION
This function will return the parameters of the current record state. These are only useful to be provided to an external off-loading device or subsystem.

In that case, to sync the state you must call gnutls_record_set_state().

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

Since 3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/